/* © Type on Point 2017 - All Rights Reserved */

/* /////////// Preloader ///////// */
.loader{
	width: 100px;
	height: 100px;
	margin: 23% auto;
	border-radius: 100%;
	position: relative;
  }
  
  /* preloader */
  
  #preloader span{
	display: inline-block;
	border-radius: 100%;
	background-color: rgba(1, 77, 178, 1);
	opacity: 0;
  }
  
  #preloader span:nth-child(1){
	margin-right: -5px;
	 width: 15px;
	height: 15px;
	animation: opacitychange 1s ease-in-out 0.22s infinite;
  }
  
  #preloader span:nth-child(2){
	 width: 25px;
	height: 25px;
	margin-bottom: 17px;
	animation: opacitychange 1s ease-in-out 0.44s infinite;
  }
  
  #preloader span:nth-child(3){
	width: 35px;
	height: 35px;
	margin-bottom: 8px;
	margin-left: 3px;
	animation: opacitychange 1s ease-in-out 0.88s infinite;
  }

  
  @keyframes opacitychange{
	0%, 100%{
	  opacity: 0;
	}
  
	60%{
	  opacity: 1;
	}
  }
  
  #overlay{
	height:100vh;
	width:100vw;
	background:#161616;
	position:fixed;
	left:0;
	top:0;
	z-index: 999999;
	-webkit-transition: all 2s ease;  
	-moz-transition: all 2s ease;  
	-o-transition: all 2s ease;  
	-ms-transition: all 2s ease;  
	transition: all 2s ease;
   }

#navBar{
	/* width: 25%; */
	max-width: 330px;
	min-width: 190px;
	display: inline-flex;
	justify-content: space-between;
	margin: 1px 0 0 0;
}

.nav__link {
	font-size: 1em;
	font-weight: bolder;
	display: inline-block;
	padding: 3px;
	cursor: pointer;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	-webkit-touch-callout: none;
	-khtml-user-select: none;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.nav__link:hover,
.nav__link:focus {
	outline: none;
	color: #f2f2f2;
	-webkit-transition: color 0.5s;
	transition: color 0.5s;
}

#fullscreen-button{
	position: absolute;
	width: 30px;
	height: 23px;
	top: 12px;
	right: 16px;
	position: fixed;
	/* border: 2px solid #8f8f8f; */
	background-color: rgba(174, 174, 174, 0.45);
	z-index: 345;
	border-radius: 45px;
	padding: 7px 0 0 0;
	text-align: center;
	vertical-align: middle;
	transition: all .5s;
}

.moveIntoPlace{
	top: 4px !important;
	right:51px !important;
}

.nav--typo .nav__line {
	position: absolute;
	top: 72%;
	left: 0;
	width: 45px;
	height: 3px;
	pointer-events: none;
	background: #014DB2;
	-webkit-transition: -webkit-transform 0.5s;
	transition: transform 0.5s;
	-webkit-transition-timing-function: cubic-bezier(1, 0.01, 0, 1);
	-webkit-transition-timing-function: cubic-bezier(1, 0.01, 0, 1.22);
	transition-timing-function: cubic-bezier(1, 0.01, 0, 1.22);
}

.nav--typo .nav__item:nth-child(1).nav__item--current ~ .nav__line {
	-webkit-transform: translate3d(85%, 0, 0);
	transform: translate3d(85%, 0, 0);
}

.nav--typo .nav__item:nth-child(2).nav__item--current ~ .nav__line {
	-webkit-transform: translate3d(354%, 0, 0);
	transform: translate3d(354%, 0, 0);
}

.nav--typo .nav__item:nth-child(3).nav__item--current ~ .nav__line {
	-webkit-transform: translate3d(617%, 0, 0);
	transform: translate3d(617%, 0, 0);
}

/* Top Navigation Style */
/* .typeonpoint span {
	display: none;
	position: absolute;
	font-size: 0.65em;
	padding: .6em 0 0 5px;
  font-size: 14px;
}

.typeonpoint:hover span {
	display: block;
	color: #f2f2f2;
  font-weight: lighter;
  text-shadow: 0px 1px 1px #161616;
} */

.white{
	color: #f2f2f2 !important;
}

/*
.nav--typo .nav__item:nth-child(4).nav__item--current ~ .nav__line {
	-webkit-transform: translate3d(884%, 0, 0);
	transform: translate3d(884%, 0, 0);
}

.nav--typo .nav__item:nth-child(5).nav__item--current ~ .nav__line {
	-webkit-transform: translate3d(1150%, 0, 0);
	transform: translate3d(1150%, 0, 0);
}
*/

.profileDisplay {
	height: 45px;
}

#navigation {
	height: 50px;
    width: calc(100% - 0px);
    display: flex;
    flex-wrap: nowrap;
    /* background-color: rgba(33, 33, 33, 0.05); */
	/* box-shadow: 2px 2px 15px 2px rgba(0, 0, 0, 0.1); */
    /* padding: 8px; */
    /* border-radius: 6px; */
}

#navigation a {
	color: #fff;
	text-decoration: none;
	font-size: 18px;
	padding-top: 5px;
	margin-top: 5px;
	position: relative;
}

.icon{
	max-width: 40px;
	text-align: center;
	padding: 7px 3px 2px 3px;
	border-radius:  2px 2px 0 0;
}

.icon:hover{
	border-bottom: 2px solid #3b5999;
}

.icon span{
	font-family: 'Fira Sans';
	font-size: 10px;
	line-height: 15px;
}

#navigation ul {
	margin: 0px 9px 0 0;
	padding: 0;
	list-style-type: none;
	display: inline;
}

.unseenCount {
	border-radius: 24px;
	background-color: darkred;
	padding: 2px;
	min-width: 14px;
	text-align: center;
	position: absolute;
	top: -13px;
	left: 4px;
	font-size: 12px;
}

h3{
	display: inline;
	margin: 7px 32px 7px 0px;
}

#navigation ul li {
	display: inline;
}

#navigation ul li a {
	padding: 5px 6px 2px 6px;
	width: 25px;
}

@media screen and (max-width:55em) {
	.nav--typo .nav__line {
		top: .2em;
		
	}

	.nav--typo .nav__item:nth-child(1).nav__item--current ~ .nav__line {
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(2.4em, 1.3em, 0);
	}

	.nav--typo .nav__item:nth-child(2).nav__item--current ~ .nav__line {
		-webkit-transform: translate3d(0, 3em, 0);
		transform: translate3d(7.7em, 1.3em, 0);
	}

	.nav--typo .nav__item:nth-child(3).nav__item--current ~ .nav__line {
		-webkit-transform: translate3d(0, 6.3em, 0);
		transform: translate3d(10.3em, 5.5em, 0);
	}
}
	/*
	.nav--typo .nav__item:nth-child(4).nav__item--current ~ .nav__line {
		-webkit-transform: translate3d(0, 9.5em, 0);
		transform: translate3d(.3em, 7.8em, 0);
	}

	.nav--typo .nav__item:nth-child(5).nav__item--current ~ .nav__line {
		-webkit-transform: translate3d(0, 12.5em, 0);
		transform: translate3d(.3em, 9.9em, 0);
	}
}
*/

/* /////////////////////////////////
[] SMALL SCREENS [] 
/////////////////////////////////*/

@media screen and (max-width:840px) {
	#navBar{
		/* background: rgb(98,44,176);
		background: linear-gradient(90deg, rgba(98,44,176,1) 0%, rgba(131,58,180,1) 4%, rgba(253,36,130,1) 21%, rgba(253,29,29,1) 34%, rgba(253,81,43,1) 47%, rgba(252,176,69,1) 88%, rgba(252,212,69,1) 100%); */
	}

 h3{
	margin: 7px 12px 7px 5px; 

} 

.nav__link {
	font-size: .95em;
	width: 85px;
}

#fullscreen-button{
	margin: 7px 0 0 0;
}

.profileDisplay {
	margin: 0 0 0 0;
}
		
}

@media screen and (max-width:500px) {
	#navigation {
		height: 50px;
		position: fixed;
		bottom: 0px;
		left: 0px;
		background-color: #7e7e7e;
		width: 100%;
		z-index: 483;
		padding: 5px 0 5px 0;
		text-align: center;
		box-shadow: 0 -2px 3px rgba(51, 51, 51, 0.6);
		justify-content: space-around;
	}

	#navigation ul li a {
		padding: 5px 0px 2px 0px;
		width: 25px;
	}

	.profileDisplay{
		margin-left: 0px;
		height: 50px;
		position: fixed;
		bottom: 0px;
		z-index: 483;
		background-color: #8f8f8f;
		width: 100%;
		box-shadow: 0 -2px 3px rgba(51, 51, 51, 0.6);
	}
}

/* © Type on Point 2017 - All Rights Reserved */